Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160166 - system-config-samba crashs at configuring ADS using kerberos domain
Summary: system-config-samba crashs at configuring ADS using kerberos domain
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-samba
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-12 13:46 UTC by Robert Scheck
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-02-02 15:41:36 UTC


Attachments (Terms of Use)

Description Robert Scheck 2005-06-12 13:46:42 UTC
Description of problem:
system-config-samba breaks down with the following python errors at configuring 
ADS using a kerberos domain. At using security=domain, everything is okay.

--- snipp ---
Traceback (most recent call last):
  File "/usr/share/system-config-samba/basicPreferencesWin.py", line 255, in onB 
asicOkButtonClicked
    self.samba_data.writeFile()
  File "/usr/share/system-config-samba/sambaParser.py", line 301, in writeFile
    lines = str (self.getSection (name))
  File "/usr/share/system-config-samba/sambaParser.py", line 54, in __str__
    tokendata = token.getData ()
  File "/usr/share/system-config-samba/sambaToken.py", line 109, in getData
    return ("%s\t%s%s = %s \t#%s\n" % (default_mask_char, self.keyname, self.key 
val, self.comment))
TypeError: not enough arguments for format string
Traceback (most recent call last):
  File "/usr/share/system-config-samba/sambaUserWin.py", line 125, in onUsersOkB 
uttonClicked
    self.ParentClass.samba_data.writeFile()
  File "/usr/share/system-config-samba/sambaParser.py", line 301, in writeFile
    lines = str (self.getSection (name))
  File "/usr/share/system-config-samba/sambaParser.py", line 54, in __str__
    tokendata = token.getData ()
  File "/usr/share/system-config-samba/sambaToken.py", line 109, in getData
    return ("%s\t%s%s = %s \t#%s\n" % (default_mask_char, self.keyname, self.key 
val, self.comment))
TypeError: not enough arguments for format string
--- snapp ---

Version-Release number of selected component (if applicable):
system-config-samba-1.2.31-1

How reproducible:
Everytime, see above.

Actual results:
system-config-samba crashs.

Expected results:
system-config-samba shouldn't break down.

Comment 1 Nils Philippsen 2005-06-14 14:30:39 UTC
fixed in system-config-samba CVS

Comment 2 Nils Philippsen 2006-02-02 15:41:36 UTC
fixed in system-config-samba-1.2.32-1


Note You need to log in before you can comment on or make changes to this bug.